/*
 * smoke_detector.h
 *
 */

#ifndef SMOKE_DETECTOR_H_
#define SMOKE_DETECTOR_H_

#include <altera_avalon_i2c.h>

int ADPD_init(ALT_AVALON_I2C_DEV_t *dev);
int ADPD_write_reg16(ALT_AVALON_I2C_DEV_t *dev, unsigned char reg_addr,unsigned short data);
int ADPD_read_reg16(ALT_AVALON_I2C_DEV_t *dev, unsigned char reg_addr, alt_u8 *data);
int ADPD_read_fifo(ALT_AVALON_I2C_DEV_t *dev, unsigned char reg_addr,int *slot_a,int *slot_b);


typedef struct
{
	unsigned char address; /* 8-bit register address */
	unsigned int value; /* 16-bit register data */

} ADPD_register_t;

#endif /* SMOKE_DETECTOR_H_ */